## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XString Class Reference

`#include <XString.hpp>`

Inheritance diagram for XString

Collaboration diagram for XString:

List of all members.

## Public Types

- typedef XStringBase ParentType

## Public Methods

- XString (const XalanDOMString& val)
    Construct an XString object from a string. More...
- XString (const XalanDOMChar* val)
- XString ( const XalanDOMChar* val, unsigned int len)
- XString (const XString& source)
- virtual ~XString ()
- void set (const XalanDOMString& theString)
- virtual XString* clone (void* theAddress = 0) const
    Clone the instance. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str ( FormatterListener& formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...

## Member Typedef Documentation

typedef XStringBase XString::ParentType

Reimplemented from XStringBase.

## Constructor & Destructor Documentation

XString::XString ( | const XalanDOMString & val )

Construct an XString object from a string.

Parameters:

  value | source string

XString::XString ( | const XalanDOMChar * val )

XString::XString ( | const XalanDOMChar * val,
| unsigned int len )

XString::XString ( | const XString & source )

virtual XString::~XString ( | )`[virtual]`

## Member Function Documentation

virtual XString* XString::clone ( | void * theAddress = 0 ) const`[virtual]`

Clone the instance.

Parameters:

  If | theAddress is not null, the XObject will clone itself into that address.

Returns:
  a clone of the instance.

Reimplemented from XStringBase.

void XString::set ( | const XalanDOMString & theString )`[]`

virtual void XString::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XStringBase.

virtual const XalanDOMString& XString::str ( | ) const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XStringBase.

virtual double XString::stringLength ( | ) const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XStringBase.

The documentation for this class was generated from the following file:

- XString.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.